# BasePluginExtension

interface BasePluginExtension

An extension used for BasePlugin.

#### Since

7.1

## Functions

getArchivesName
Link copied to clipboard
abstract fun getArchivesName(): Property<String>
The base name to use for archive files.
getDistsDirectory
Link copied to clipboard
abstract fun getDistsDirectory(): DirectoryProperty
Returns the directory to generate TAR and ZIP archives into.
getLibsDirectory
Link copied to clipboard
abstract fun getLibsDirectory(): DirectoryProperty
Returns the directory to generate JAR and WAR archives into.